<?php
//include_once("c_esmo_gateway_upload.php");
include_once("c_ot_working_vpf.php");
//include_once(_DIR_TO_ENGINE.'/admin/i_admin_system.php') ;
class c_page_cab_ot_working_vpf_docs extends c_page_cab_ot_working_vpf
{
 public $h1='ВПФ для должности: загруженные документы' ;

 function block_main()
 {  $this->page_title() ;
    $this->panel_filter_info() ;
    $this->get_docs_list() ;
 }

 function get_docs_list()
 {
   $recs=execSQL('select * from files where obj_reffer="'.$this->inrm.'"') ;
   if (_sizeof($recs)) foreach($recs as $rec)
   {   ?><iframe src="<?echo _MAIN_PROTOCOL._MAIN_DOMAIN?>/<?echo $rec['file_name']?>" style="width:100%; height:700px;" frameborder="0" /></iframe>
        <div class="center"><button class="v2" cmd="ot/remove_file_doc" file_id="<?echo $rec['pkey']?>">Удалить документ</button></div><br><br>
       <?
   }
 }




}



?>
